QXmpp: QXmppDiscoIdentity Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppDiscoIdentity Class Reference

## Public Member Functions
| QXmppDiscoIdentity (const QString &category, const QString &type={}, const QString &name={}, const QString &lang={})
| Default constructor.
const QString & | category () const
| Returns the category of the identity.
void | setCategory (const QString &newCategory)
| Sets the category of the identity.
const QString & | type () const
void | setType (const QString &newType)
const QString & | name () const
| Returns the human-readable name of the service.
void | setName (const QString &newName)
| Sets the human-readable name of the service.
const QString & | language () const
void | setLanguage (const QString &newLanguage)

## Detailed Description

Identity of an XMPP entity as defined in XEP-0030: Service Discovery.

Note
  In QXmpp 1.11 and earlier, this class was called QXmppDiscoveryIq::Item.

## Member Function Documentation

## ◆ language()

const QString & QXmppDiscoIdentity::language | ( |  | ) | const
| inline

Returns the xml:lang code of the name.

It is possible that the same identity (same type and same category) is included multiple times with different languages and localized names.

## ◆ setLanguage()

void QXmppDiscoIdentity::setLanguage | ( | const QString & | newLanguage | ) |
| inline

Sets the xml:lang code of the name.

It is possible that the same identity (same type and same category) is included multiple times with different languages and localized names.

## ◆ setType()

void QXmppDiscoIdentity::setType | ( | const QString & | newType | ) |
| inline

Sets the service type in this category.

See https://xmpp.org/registrar/disco-categories.html for details.

## ◆ type()

const QString & QXmppDiscoIdentity::type | ( |  | ) | const
| inline

Returns the service type in this category.

See https://xmpp.org/registrar/disco-categories.html for details.

The documentation for this class was generated from the following file:

- QXmppDiscoveryIq.h